Page MenuHomePhabricator

[WDQS Streaming Updater] Monitor Streaming Updater - metrics
Closed, ResolvedPublic

Description

AC:

  • Metrics for latency and Flink metrics available in Prometheus/Grafana

Event Timeline

Zbyszko created this task.Mar 25 2020, 9:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2020, 9:10 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 25 2020, 9:12 AM
Zbyszko renamed this task from Monitor Streaming Updater Latency to Monitor Streaming Updater - metrics .Mar 26 2020, 3:45 PM
Zbyszko updated the task description. (Show Details)
Zbyszko renamed this task from Monitor Streaming Updater - metrics to [WDQS Streaming Updater] Monitor Streaming Updater - metrics .Apr 1 2020, 11:05 AM
Zbyszko claimed this task.

Change 585257 had a related patch set uploaded (by ZPapierski; owner: ZPapierski):
[wikidata/query/rdf@master] Event latency metrics added to the last operator

https://gerrit.wikimedia.org/r/585257

Change 585257 merged by jenkins-bot:
[wikidata/query/rdf@master] Event latency metrics added to the last operator

https://gerrit.wikimedia.org/r/585257

Change 596148 had a related patch set uploaded (by ZPapierski; owner: ZPapierski):
[wikidata/query/rdf@master] Switch dropwizard dependency to provided

https://gerrit.wikimedia.org/r/596148

Change 596148 merged by jenkins-bot:
[wikidata/query/rdf@master] Switch dropwizard dependency to provided

https://gerrit.wikimedia.org/r/596148

Zbyszko closed this task as Resolved.Fri, May 15, 2:29 PM

Metrics are available on grafana.wikimedia.org through Graphite: https://grafana.wikimedia.org/d/_kZ1VGRGk/wdqs-pipeline?orgId=1&refresh=1m